Trigger Fix Pull Request

Cortex XSIAM Platform APIs

post /public_api/appsec/v1/issues/fix/trigger_fix_pull_request

Create automated pull requests to fix multiple security issues in a single bulk operation.

Required License:

Cortex XSIAM Premium. In Cortex XSIAM Enterprise and Cortex NG SIEM, requires the Cortex Cloud Posture Management with Application Security add-on.

CLIENT REQUEST
curl -X 'POST'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
'https://api-yourfqdn/public_api/appsec/v1/issues/fix/trigger_fix_pull_request'
-d '{ "fixBranchName" : "fixBranchName", "issueIds" : [ "1234567", "9876543" ], "title" : "title" }'
import http.client conn = http.client.HTTPSConnection("api-yourfqdn") payload = "{\"fixBranchName\":\"string\",\"title\":\"string\",\"issueIds\":[\"1234567\",\"9876543\"]}" headers = { 'content-type': "application/json" } conn.request("POST", "/public_api/appsec/v1/issues/fix/trigger_fix_pull_request", payload, headers) res = conn.getresponse() data = res.read() print(data.decode("utf-8"))
require 'uri' require 'net/http' require 'openssl' url = URI("https://api-yourfqdn/public_api/appsec/v1/issues/fix/trigger_fix_pull_request") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true http.verify_mode = OpenSSL::SSL::VERIFY_NONE request = Net::HTTP::Post.new(url) request["content-type"] = 'application/json' request.body = "{\"fixBranchName\":\"string\",\"title\":\"string\",\"issueIds\":[\"1234567\",\"9876543\"]}" response = http.request(request) puts response.read_body
const data = JSON.stringify({ "fixBranchName": "string", "title": "string", "issueIds": [ "1234567", "9876543" ] }); const xhr = new XMLHttpRequest(); xhr.withCredentials = true; xhr.addEventListener("readystatechange", function () { if (this.readyState === this.DONE) { console.log(this.responseText); } }); xhr.open("POST", "https://api-yourfqdn/public_api/appsec/v1/issues/fix/trigger_fix_pull_request"); xhr.setRequestHeader("content-type", "application/json"); xhr.send(data);
HttpResponse<String> response = Unirest.post("https://api-yourfqdn/public_api/appsec/v1/issues/fix/trigger_fix_pull_request") .header("content-type", "application/json") .body("{\"fixBranchName\":\"string\",\"title\":\"string\",\"issueIds\":[\"1234567\",\"9876543\"]}") .asString();
import Foundation let headers = ["content-type": "application/json"] let parameters = [ "fixBranchName": "string", "title": "string", "issueIds": ["1234567", "9876543"] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api-yourfqdn/public_api/appsec/v1/issues/fix/trigger_fix_pull_request")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume()
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api-yourfqdn/public_api/appsec/v1/issues/fix/trigger_fix_pull_request", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => "{\"fixBranchName\":\"string\",\"title\":\"string\",\"issueIds\":[\"1234567\",\"9876543\"]}", CURLOPT_HTTPHEADER => [ "content-type: application/json" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
CURL *hnd = curl_easy_init(); curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST"); curl_easy_setopt(hnd, CURLOPT_URL, "https://api-yourfqdn/public_api/appsec/v1/issues/fix/trigger_fix_pull_request"); struct curl_slist *headers = NULL; headers = curl_slist_append(headers, "content-type: application/json"); curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers); curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\"fixBranchName\":\"string\",\"title\":\"string\",\"issueIds\":[\"1234567\",\"9876543\"]}"); CURLcode ret = curl_easy_perform(hnd);
var client = new RestClient("https://api-yourfqdn/public_api/appsec/v1/issues/fix/trigger_fix_pull_request"); var request = new RestRequest(Method.POST); request.AddHeader("content-type", "application/json"); request.AddParameter("application/json", "{\"fixBranchName\":\"string\",\"title\":\"string\",\"issueIds\":[\"1234567\",\"9876543\"]}", ParameterType.RequestBody); IRestResponse response = client.Execute(request);
Body parameters
required
application/json
fixBranchNamestring

The branch name for the fix pull request. If not specified, a custom branch will be used.

titlestring

The title for the fix pull request. If not specified, a default message will be used.

issueIdsarray[string]required

A list of unique identifiers for the issues to be fixed. Maximum 10 IDs per request.

Example:["1234567","9876543"]
REQUEST
{ "fixBranchName": "example", "title": "example", "issueIds": [ "1234567", "9876543" ] }
Responses

Ok

Body
application/json
messagestringrequired

Error message if the process fails.

triggeredPrsarrayrequired

Status of each issue.

[
issueIdstringrequired

A unique identifier for issue.

statusstring (Enum)required

PR status. Possible values: -triggered: If the PR is in triggered state. -automated_fix_not_available: If the PR is in automated_fix_not_available state.

Allowed values:"triggered""automated_fix_not_available"
]
statusstring

Overall process status.

remediationIdstring

Unique identifier to track the remediation process

errorstring

Error details if the process fails.

RESPONSE
{ "message": "example", "triggeredPrs": [ { "issueId": "example", "status": "triggered" } ], "status": "example", "remediationId": "example", "error": "example" }